import { QuizQuestionFile } from "@frontend/squzanswerer";
import HelpQuestions from "../helpQuestions";
import SettingsUpload from "./settingUpload";

interface Props {
  switchState: string;
  question: QuizQuestionFile;
}

export default function SwitchUpload({ switchState = "setting", question }: Props) {
  switch (switchState) {
    case "setting":
      return <SettingsUpload question={question} />;
    case "help":
      return (
        <HelpQuestions
          questionId={question.id}
          hintText={question.content.hint.text}
          hintVideo={question.content.hint.video}
        />
      );
    default:
      return <></>;
  }
}
